# System URLs

### Type

* callback: The extId is posted to the callback URLs ex. { extId: ”…” }

### State

| State           | Description                                   | Note                                                              |
| --------------- | --------------------------------------------- | ----------------------------------------------------------------- |
| started         | Process was started / User clicked on link    |                                                                   |
| error           | User failed the process                       | Not applicable to QES                                             |
| sucess          | Process succeeded                             |                                                                   |
| warn            | User finished the process un- nor successful. | Not applicable to QES                                             |
| abort           | User aborted the process                      | Is triggered when clicking on (x)                                 |
| session-expired | Process URL has expired                       | Triggered when the JWT token expires and for incomplete processes |

### Example: <a href="#how-can-systemurls-be-set-up-correctly" id="how-can-systemurls-be-set-up-correctly"></a>

Following example payload counts for all types:

```json
"systemUrls": [
    {
      "url": "https://webhook.site/abcd-0000-1111-2222-3333",
      "type": "callback",
      "state": "success"
    },
```

{% hint style="warning" %}
If the callback URLs are not accessible, the resposibility is on the customers side (queue etc.): A retry mechanism is missing so far. With the callbacks, we call the customer backend. The integrator ensures that the endpoint is always reachable.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fidentity.ch/api/create-a-new-fidentity-process/system-urls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
